project/routes/admin.py
from functools import wraps
from flask_login import current_user
from flask import Blueprint,request, redirect, url_for, session
from project.services.admin import AdminService
admin = Blueprint('admin', __name__)

def is_admin(view):
    @wraps(view)
    def wrapped_view(**kwargs):
        if current_user.is_authenticated:
            if current_user.is_admin() == False:
                return redirect(url_for('error.no_permission'))
            else:
                return view(**kwargs)
        else:
            return redirect(url_for('user.login'))
    return wrapped_view

#for admin get all user in database
@admin.route('/chat')
@is_admin
def admin_chat():
    return AdminService.get_chat_list()

#for admin to add new product
@admin.route('/add_new_product', methods=["POST"])
@is_admin
def add_new_product():
    return AdminService.add_new_product(request)

#for admin toget all order page
@admin.route('/order', methods=["GET"])
@is_admin
def order_list():
    return AdminService.get_all_orders()

#for admin to update order data like status or tran_code
@admin.route('/order/update', methods=["POST"])
@is_admin
def update_order():
    return AdminService.update_delivery_status(request)

project/routes/user.py
from flask import Blueprint,request, render_template, redirect, url_for, session, current_app
from flask_login import login_required, current_user
from ..services.user import UserService

import os

# @socketio.on('my event')
# def handle_my_custom_event(json):
#     print('received json: ' + str(json))

user = Blueprint('user', __name__)

@user.route('/')
def home():
    return render_template("home.html")


@user.route('/register', methods=["GET","POST"])
def register():
    if request.method == 'POST':
        return UserService.register(request)
    elif request.method == 'GET':
        if current_user.is_authenticated:
            return redirect(url_for('user.home'))
        else:
            return render_template("user/register.html")


@user.route('/login', methods=["GET","POST"])
def login():
    if request.method == 'POST':
        return UserService.login(request)
    elif request.method == 'GET':
        if current_user.is_authenticated:
            return redirect(url_for('user.home'))
        else:
            return render_template("user/login.html")


@user.route('/profile', methods=["GET"])
@login_required
def profile():
    if request.method == 'GET':
        return render_template("user/profile.html")


@user.route('/update_profile', methods=["POST"])
@login_required
def update_profile():
    return UserService.update_profile(request)

@user.route('/update_profile/image', methods=["POST"])
@login_required
def upload_image_profile():
    if request.method == 'POST':
        return UserService.update_profile_image(request)


@user.route('/address/add', methods=["POST"])
@login_required
def add_address():
    if request.method == 'POST':
        return UserService.add_address(request)


@user.route('/logout', methods=["POST"])
@login_required
def logout():
    if request.method == 'POST':
        return UserService.logout()

project/templates/complete.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Oganikku</title>
    <!-- CSS only -->
    <link rel="stylesheet" href="{{ url_for('static', filename='css/tyorder.css') }}">   
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>

<body > 
   <div class="bg-container">
       
           <center>
               <div class="text-header-ty">
                    THANK YOU
               </div>
               <div class="text-sub-ty">
                Thank you for your order.
               </div>
               <div class="text-sub-1-ty">
                    注文いただきありがとうございます。
               </div>
               <div class="text-last-content-ty">
                     Chūmon itadaki arigatōgozaimasu.
               </div>
        </center>
       <div class="row-block">
            <div class="new-order-btn click-btn" onclick="gotoType()">
                NEW ORDER
            </div>
            <div class="delivery-btn click-btn" onclick="gotoDelivery()">
                Delivery Status
            </div>
       </div>
    </div>

</body>
</html>
<script>
    function gotoType(){
        window.location ="/shop/vegetables"
    }
    function gotoDelivery(){
        window.location ="/shop/delivery"
    }
</script>

project/templates/home.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
  </head>
  <style>
    body {
      margin: 0px;
      background-color: #f7efd8;
    }
    .grid-container {
      display: grid;
      grid-template-columns: 50% 25% 25%;
    }
    .bg_img_home {
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;
      max-height: 100vh;
      width: 100%;
    }
    .flex-contain {
      display: flex;
      align-items: center;
      max-height: 100vh;
    }
    .main-text {
      letter-spacing: 10px;
      font-size: 70px;
      margin-left: auto;
      margin-right: auto;
      font-weight: bold;
      color: #707070;
    }
    .secondmain-text {
      font-size: 30px;
      letter-spacing: 0px;
      font-weight: bold;
      color: #707070;
    }
    .thirdmain-text {
      font-size: 30px;
      font-family: Century Gothic;
      color: #707070;
    }
    .btn-shopnow {
      margin-top: 5%;
      width: 190px;
      background-color: #a9d18e;
      text-align: center;
      align-items: center;
      align-self: center;
      padding: 20px;
      height: auto;
      border-radius: 50px;
      font-size: 25px;
      font-family: Century Gothic;
      color: #707070;
    }
    a:link {
    text-decoration: none;
    }

  </style>
  <body>
    <div class="grid-container">
      <div style="display: flex; justify-content: center">
        <div class="flex-contain">
          <div class="main-content-container">
            <div class="main-text">Oganikku</div>
            <div class="secondmain-text">オーガニック</div>
            <div class="thirdmain-text">Natural 100% Organic</div>

            <a href="/shop/vegetables">
            <div class="btn-shopnow"   >
           
              SHOP NOW
            </div>
          </a>


          </div>
        </div>
      </div>
      <div>
        <img
          src="static/images/homebg_left.jpg"
          class="bg_img_home"
          alt=""
          srcset=""
        />
      </div>
      <div>
        <img
          src="static/images/homebg_right.jpg"
          alt=""
          srcset=""
          class="bg_img_home"
        />
      </div>
    </div>
  </body>
</html>
<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.0.1/socket.io.js" integrity="sha512-q/dWJ3kcmjBLU4Qc47E4A9kTB4m3wuTY7vkFJDTZKjTs8jhyGQnaUrxa0Ytd0ssMZhbNua9hE+E7Qv1j+DyZwA==" crossorigin="anonymous"></script>

project/templates/sidebar.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='css/sidebar.css') }}">
  </head>

  <body style="overflow-x: hidden;">
    <div class="sidenav" style="width: auto;border-right: 2px solid #dcdcdc;">
      <div class="head-nav-container">
        <div class="row">
          <div class="col-sm-4">
            <img
              src="{{url_for('static', filename = 'images/head_nav.png')}}"
              alt=""
              srcset=""
              style="padding-left: 20px;width: 90px;"
            />
          </div>
          <div class="col-sm-8">
            <div class="text-section-nav">
              <div class="main-nav" >Oganikku</div>
              <div class="sub-nav">オーガニック</div>
            </div>
          </div>
        </div>
      </div>


      {% if request.path == "/shop/vegetables" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/veg.png')}}" 
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Vegetables </span>
        </a>
      </div>
      {% else %}

      <div class="non-active">
        <a href="/shop/vegetables">
          <img
            src="{{url_for('static', filename = 'images/veg.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Vegetables </span>
        </a>
      </div>
      {% endif %} {% if request.path == "/shop/fruits" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/fruit.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Fruits </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/shop/fruits">
          <img
            src="{{url_for('static', filename = 'images/fruit.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Fruits </span>
        </a>
      </div>
      {% endif %}

      <!-- 
        <a  class="active"  href="/vegetables">Vegetables</a>
        <a  class="active"  href="/fruits">fruits</a> -->
      {% if request.path == "/shop/seasonal" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/season.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna">
            Seasonal
         
          </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/shop/seasonal">
          <img
            src="{{url_for('static', filename = 'images/season.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna">
            Seasonal
         </span>
          </span>
        </a>
      </div>
      {% endif %} 
      
      {% if request.path == "/chat" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/msg.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Messages </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/chat">
          <img
            src="{{url_for('static', filename = 'images/msg.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />
          <span class="textIna"> Messages </span>
        </a>
      </div>


      {% endif %}
      
      {% if request.path == "/shop/bill" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/bill.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Bills </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/shop/bill">
          <img
            src="{{url_for('static', filename = 'images/bill.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Bills </span>
        </a>
      </div>
      {% endif %}

      <span style="padding-left: 4%; font-size: 15px; color: #dfbc9b"
        >other</span
      >
      {% if request.path == "/shop/basket" %}
      <div class="active">
        <a>
          <img
            src="{{url_for('static', filename = 'images/basket.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Basket </span>
        </a>
      </div>
      {% else %}
      <div class="non-active">
        <a href="/shop/basket">
          <img
            src="{{url_for('static', filename = 'images/basket.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Basket </span>
        </a>
      </div>
      {% endif %}
       {% if request.path == "/shop/delivery" %}
      <div class="active" style="margin-bottom: 5%;">
        <a>
          <img
            src="{{url_for('static', filename = 'images/deliverly.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />

          <span class="textIna"> Delivery Status </span>
        </a>
      </div>
      {% else %}
      <div class="non-active" style="margin-bottom: 5%;">
        <a href="/shop/delivery">
          <img
            src="{{url_for('static', filename = 'images/deliverly.png')}}"
            class="sizeIcon"
            alt=""
            srcset=""
          />
          <span class="textIna"> Delivery Status </span>
        </a>
      </div>
      {% endif %}

      {% if current_user.is_admin() and  request.path == "/admin/order" %}
      <div class="active" style="margin-bottom: 5%;">
        <a href="{{url_for('admin.order_list')}}">

          <span class="textIna" style="color:white;padding-left:5px;"> Order management </span>
        </a>
      </div>
      {% elif(current_user.is_admin()) %}
      <div class="non-active" style="margin-bottom: 5%;">
        <a href="{{url_for('admin.order_list')}}">

          <span class="textIna" style="padding-left:5px;"> Order management </span>
        </a>
      </div>
      {% endif %}
      

      {% if request.path == "/profile" %}
      <div class="logout" style="padding-left: 8%;margin-top: 20%;">
        <form  action="/logout" method="post" name="logout">   
      
          <div style="display: flex;">
            <div
            onclick="logout.submit()"
            style="background-color: white; padding: 9px; border-radius: 10px;cursor: pointer;" 
            
          >
            <img
              src="{{url_for('static', filename = 'images/left-arrow.png')}}"
              alt=""
              srcset=""
              style="width: 21px; height: 13px; padding-left: 4px"
            />
            </div>
            <div style="padding-left: 10px;font-weight: bold;font-size: 20px;color:#7b7b7b;;">
              Log Out
            </div>
          </div>
       
  
 





     </form>
     </div>
    </div>
    <!-- <form  action="/logout" method="post" name="logout">
      <button type="submit">
          Logout
      </button>
    </form>  -->
      {% else %}
    
      <div class="profile-section">
        <div class="profile-container">
            <div class="img-profile-container">
                <img src="{{url_for('static', filename = 'images/user_profile/'+current_user.get_profile().profile_image)}}" alt="" srcset="" class="img-profile">
            </div>
            <div class="content-profile-container" style="margin-top:4%;">
                <div class="profile-name">
                  {{ current_user.get_profile().fullname }}
                </div>
              <a href="{{url_for('user.profile')}}">  
                <div class="profile-btn" style="margin-top:4%;font-size:20px;font-weight: 500;">
                  Open Profile
                </div>
              </a>
            </div>
        </div>
      </div>
      {% endif %}
    </div>






  </body>
</html>
<script>

  
</script>